	#include "descriptor/descriptor.h"


int main(void) {

  ITEM	glass,red,yellow,green,blue,black,white,brown,orange,mirror,mirrorglass,ceramic;
  ITEM   parti_bianche,parti_blu,parti_rosse,parti_nere,
         parti_verdi,parti_gialle,parti_vetro,parti_marroni,
	      parti_arancioni,parti_specchio,pareti,pavimento;
  ITEM	scene;

  set_background(0.89,0.76,0.65,TRUE);
  set_ambient_light(1,1,1,0.7);
  create_point_light(89.462,-8.005,76.883,1,1,1,1,0, "light1");

  /*** ATTRIBUTE glass ***/

  glass = create_attribute("glass");
  set_color(glass,0.68,0.86,1,0.5,0.5);
  set_reflectivity(glass,0.24,2);
  set_transparency(glass,0.87,0.68,1,1.2);

  /*** ATTRIBUTE ceramic ***/

  ceramic = create_attribute("ceramic");
  set_color(ceramic,0.89,0.76,0.65,0.1,0.8);
  set_reflectivity(ceramic,0.2,128);

  /*** ATTRIBUTE mirror***/

  mirror = create_attribute("mirror");
  set_color(mirror,0,0,0,0.5,0.5);
  set_reflectivity(mirror,0.24,2);

  /*** ATTRIBUTE mirrorglass***/

  mirrorglass = create_attribute("mirrorglass");
  set_color(mirrorglass,0,0,0,1,1);
  set_reflectivity(mirrorglass,1,2);

  /*** ATTRIBUTE red ***/

  red = create_attribute("red");
  set_color(red,1,0,0,0.5,0.5);
  set_reflectivity(red,0,2);

  /*** ATTRIBUTE orange ***/

  orange = create_attribute("orange");
  set_color(orange,1,0.5,0,0.5,0.5);
  set_reflectivity(orange,0,2);

  /*** ATTRIBUTE green ***/

  green = create_attribute("green");
  set_color(green,0.3,0.8,0.1,0.5,0.5);
  set_reflectivity(green,0,2);

  /*** ATTRIBUTE yellow ***/

  yellow = create_attribute("yellow");
  set_color(yellow,1,1,0,0.5,0.5);
  set_reflectivity(yellow,0,2);

  /*** ATTRIBUTE blue ***/

  blue = create_attribute("blue");
  set_color(blue,0,0,1,0.5,0.5);
  set_reflectivity(blue,0,2);

  /*** ATTRIBUTE black ***/

  black = create_attribute("black");
  set_color(black,0,0,0,0.5,0.5);
  set_reflectivity(black,0,2);

  /*** ATTRIBUTE brown ***/

  brown = create_attribute("brown");
  set_color(brown,0.75,0.4,0,0.5,0.5);
  set_reflectivity(brown,0,2);

  /*** ATTRIBUTE white ***/

  white = create_attribute("white");
  set_color(white,1,1,1,0.5,0.5);
  set_reflectivity(white,0,2);

  parti_bianche = read_obj("white.obj", "bianco");
  set_attribute(parti_bianche,white);

  pavimento = read_obj("ceramic.obj", "ceramica");
  set_attribute(pavimento,ceramic);

  parti_specchio = read_obj("mirror.obj", "specchio");
  set_attribute(parti_specchio,mirror);

  parti_blu = read_obj("blue.obj", "blu");
  set_attribute(parti_blu,blue);

  pareti = read_obj("mirrorglass.obj", "pareti");
  set_attribute(pareti,mirrorglass);

  parti_marroni = read_obj("brown.obj", "marrone");
  set_attribute(parti_marroni,brown);

  parti_arancioni = read_obj("orange.obj", "arancione");
  set_attribute(parti_arancioni,orange);

  parti_gialle = read_obj("yellow.obj", "giallo");
  set_attribute(parti_gialle,yellow);

  parti_rosse = read_obj("red.obj", "rosso");
  set_attribute(parti_rosse,red);

  parti_nere = read_obj("black.obj", "nero");
  set_attribute(parti_nere,black);

  parti_verdi = read_obj("green.obj", "verde");
  set_attribute(parti_verdi,green);

  parti_vetro = read_obj("glass.obj", "vetro");
  set_attribute(parti_vetro,glass);

  scene = create_list(parti_bianche, "scene");
  scene = insert_in_list(scene,pavimento);
  scene = insert_in_list(scene,parti_specchio);
  scene = insert_in_list(scene,parti_blu);
  scene = insert_in_list(scene,pareti);
  scene = insert_in_list(scene,parti_marroni);
  scene = insert_in_list(scene,parti_arancioni);
  scene = insert_in_list(scene,parti_gialle);
  scene = insert_in_list(scene,parti_rosse);
  scene = insert_in_list(scene,parti_nere);
  scene = insert_in_list(scene,parti_verdi);
  scene = insert_in_list(scene,parti_vetro);

  save_scene("archimede.md","scene_archimede",scene);
  return(0);
}
